# Uses of Class
javax.management.MBeanNotificationInfo

Packages that use MBeanNotificationInfo
Package
Description
javax.management
Provides the core classes for the Java Management Extensions.
javax.management.modelmbean
Provides the definition of the ModelMBean classes.
javax.management.monitor
Provides the definition of the monitor classes.
javax.management.openmbean
Provides the open data types and Open MBean descriptor classes.
javax.management.relation
Provides the definition of the Relation Service.
javax.management.remote
Interfaces for remote access to JMX MBean servers.

## Uses of MBeanNotificationInfo in javax.management

Methods in javax.management that return MBeanNotificationInfo
Modifier and Type
Method
Description
`MBeanNotificationInfo[]`
MBeanServerDelegate.`getNotificationInfo()`
`MBeanNotificationInfo[]`
NotificationBroadcaster.`getNotificationInfo()`
Returns an array indicating, for each notification this MBean may send, the name of the Java class of the notification and the notification type.
`MBeanNotificationInfo[]`
NotificationBroadcasterSupport.`getNotificationInfo()`
`MBeanNotificationInfo[]`
StandardEmitterMBean.`getNotificationInfo()`
`MBeanNotificationInfo[]`
MBeanInfo.`getNotifications()`
Returns the list of the notifications emitted by the MBean.
Constructors in javax.management with parameters of type MBeanNotificationInfo
Modifier
Constructor
Description
``
`MBeanInfo(String className, String description, MBeanAttributeInfo[] attributes, MBeanConstructorInfo[] constructors, MBeanOperationInfo[] operations, MBeanNotificationInfo[] notifications)`
Constructs an `MBeanInfo`.
``
`MBeanInfo(String className, String description, MBeanAttributeInfo[] attributes, MBeanConstructorInfo[] constructors, MBeanOperationInfo[] operations, MBeanNotificationInfo[] notifications, Descriptor descriptor)`
Constructs an `MBeanInfo`.
``
`NotificationBroadcasterSupport(Executor executor, MBeanNotificationInfo... info)`
Constructs a NotificationBroadcasterSupport with information about the notifications that may be sent, and where each listener is invoked using the given `Executor`.
``
`NotificationBroadcasterSupport(MBeanNotificationInfo... info)`
Constructs a NotificationBroadcasterSupport with information about the notifications that may be sent.

## Uses of MBeanNotificationInfo in javax.management.modelmbean

Subclasses of MBeanNotificationInfo in javax.management.modelmbean
Modifier and Type
Class
Description
`class`
`ModelMBeanNotificationInfo`
The ModelMBeanNotificationInfo object describes a notification emitted by a ModelMBean.
Methods in javax.management.modelmbean that return MBeanNotificationInfo
Modifier and Type
Method
Description
`MBeanNotificationInfo[]`
RequiredModelMBean.`getNotificationInfo()`
Returns the array of Notifications always generated by the RequiredModelMBean.
`MBeanNotificationInfo[]`
ModelMBeanInfo.`getNotifications()`
Returns the list of the notifications emitted by the MBean.

## Uses of MBeanNotificationInfo in javax.management.monitor

Methods in javax.management.monitor that return MBeanNotificationInfo
Modifier and Type
Method
Description
`MBeanNotificationInfo[]`
CounterMonitor.`getNotificationInfo()`
Returns a `NotificationInfo` object containing the name of the Java class of the notification and the notification types sent by the counter monitor.
`MBeanNotificationInfo[]`
GaugeMonitor.`getNotificationInfo()`
Returns a `NotificationInfo` object containing the name of the Java class of the notification and the notification types sent by the gauge monitor.
`MBeanNotificationInfo[]`
StringMonitor.`getNotificationInfo()`
Returns a `NotificationInfo` object containing the name of the Java class of the notification and the notification types sent by the string monitor.

## Uses of MBeanNotificationInfo in javax.management.openmbean

Methods in javax.management.openmbean that return MBeanNotificationInfo
Modifier and Type
Method
Description
`MBeanNotificationInfo[]`
OpenMBeanInfo.`getNotifications()`
Returns an array of `MBeanNotificationInfo` instances describing each notification emitted by the open MBean described by this `OpenMBeanInfo` instance.
Constructors in javax.management.openmbean with parameters of type MBeanNotificationInfo
Modifier
Constructor
Description
``
`OpenMBeanInfoSupport(String className, String description, OpenMBeanAttributeInfo[] openAttributes, OpenMBeanConstructorInfo[] openConstructors, OpenMBeanOperationInfo[] openOperations, MBeanNotificationInfo[] notifications)`
Constructs an `OpenMBeanInfoSupport` instance, which describes a class of open MBeans with the specified `className`, `description`, `openAttributes`, `openConstructors` , `openOperations` and `notifications`.
``
`OpenMBeanInfoSupport(String className, String description, OpenMBeanAttributeInfo[] openAttributes, OpenMBeanConstructorInfo[] openConstructors, OpenMBeanOperationInfo[] openOperations, MBeanNotificationInfo[] notifications, Descriptor descriptor)`
Constructs an `OpenMBeanInfoSupport` instance, which describes a class of open MBeans with the specified `className`, `description`, `openAttributes`, `openConstructors` , `openOperations`, `notifications`, and `descriptor`.

## Uses of MBeanNotificationInfo in javax.management.relation

Methods in javax.management.relation that return MBeanNotificationInfo
Modifier and Type
Method
Description
`MBeanNotificationInfo[]`
RelationService.`getNotificationInfo()`
Returns a NotificationInfo object containing the name of the Java class of the notification and the notification types sent.

## Uses of MBeanNotificationInfo in javax.management.remote

Methods in javax.management.remote that return MBeanNotificationInfo
Modifier and Type
Method
Description
`MBeanNotificationInfo[]`
JMXConnectorServer.`getNotificationInfo()`
Returns an array indicating the notifications that this MBean sends.